<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <!-- CSS only -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<!--NAVBAR-->
<div th:replace="~{fragments/navbar :: navbar}"></div>


<!--TABLE-->
<div class="container">
  <a th:href="@{/books/new/}" class="btn btn-primary">Add Book</a>
  <table class="table">
    <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Title</th>
      <th scope="col">Author</th>
      <th scope="col">Categories</th>
      <th scope="col">Import Date</th>
      <th scope="col">Actions</th>
    </tr>
    </thead>
    <tbody>
    <tr th:unless="${#lists.isEmpty(bookList)}"
        th:each="book, iter: ${bookList}">
      <th scope="row" th:text="${iter.count}">1</th>
      <td th:text="${book.title}">Title</td>
      <td th:text="${book.author.name}"></td>
      <td>
        <span th:unless="${#lists.isEmpty(book.categories)}"
              th:each="category: ${book.categories}">
          <span th:text="${category.name} + ' '"></span>
        </span>
      </td>
      <td th:text="${book.importDate}"></td>
      <td class="d-flex flex-nowrap">
        <a class="btn btn-outline-success"
           th:href="@{/books/{id}(id=${book.id})}">View</a>
        <a class="btn btn-outline-warning"
           th:href="@{/books/edit/{id}(id=${book.id})}"
        >Edit</a>
        <form method="post"
              th:action="@{/books/delete/{id}(id=${book.id})}">
          <button type="submit" class="btn btn-outline-danger" th:text="'Delete ' + ${book.id}">Delete</button>
        </form>
      </td>
    </tr>
    </tbody>
  </table>
</div>

<!-- JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

</body>
</html>